import { useQuasar } from 'quasar'
import { usePrivacyStore } from '@/stores/privacy'

export function usePermissions() {
  const $q = useQuasar()
  const privacyStore = usePrivacyStore()

  // const checkCameraPermission = (): boolean => {
  //   if (!privacyStore.isAccepted) {
  //     privacyStore.modalPrivacy = true
  //     $q.notify({
  //       type: 'warning',
  //       message: 'กรุณายอมรับนโยบายคุ้มครองข้อมูลส่วนบุคคลก่อนใช้งานกล้อง',
  //       position: 'top',
  //     })
  //     return false
  //   }
  //   return true
  // }

  // const checkLocationPermission = (): boolean => {
  //   if (!privacyStore.isAccepted) {
  //     privacyStore.modalPrivacy = true
  //     $q.notify({
  //       type: 'warning',
  //       message: 'กรุณายอมรับนโยบายคุ้มครองข้อมูลส่วนบุคคลก่อนใช้งานแผนที่',
  //       position: 'top',
  //     })
  //     return false
  //   }
  //   return true
  // }

  const checkPrivacyAccepted = (): boolean => {
    if (!privacyStore.isAccepted) {
      privacyStore.modalPrivacy = true
      // $q.notify({
      //   type: 'warning',
      //   message: 'กรุณายอมรับนโยบายคุ้มครองข้อมูลส่วนบุคคลก่อนใช้งาน',
      //   position: 'center',
      // })
      return false
    }
    return true
  }

  return {
    // checkCameraPermission,
    // checkLocationPermission,
    checkPrivacyAccepted,
  }
}
